﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Windows.Controls;
using System.Windows.Media;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        private Random rand = new Random(123456);

        public MainPage()
        {
            InitializeComponent();

            List<List<ChartData>> data = new List<List<ChartData>>();
            for (int listIndex = 0; listIndex < 5; listIndex++)
            {
                data.Add(new List<ChartData>());

                for (int itemIndex = 0; itemIndex < 1800; itemIndex++)
                {
                    data[listIndex].Add(new ChartData() { DataValue = (listIndex + 1) * rand.Next(10, 10000), XValue = itemIndex }); 
                }

                SeriesMapping sm = new SeriesMapping() { CollectionIndex = listIndex };
                sm.SeriesDefinition = new LineSeriesDefinition() { ShowItemLabels = false, ShowPointMarks = false };
                sm.ItemMappings.Add(new ItemMapping("DataValue", DataPointMember.YValue));
                sm.ItemMappings.Add(new ItemMapping("XValue", DataPointMember.XValue));

                RadChart1.SeriesMappings.Add(sm);
            }

            RadChart1.SamplingSettings.SamplingThreshold = 0;
            RadChart1.DefaultView.ChartArea.EnableAnimations = false;
            RadChart1.DefaultView.ChartArea.ZoomScrollSettingsX.RangeEnd = 0.01;
            RadChart1.DefaultView.ChartArea.ZoomScrollSettingsX.ScrollMode = ScrollMode.ScrollOnly;

            RadChart1.ItemsSource = data;
        }
    }

    public class ChartData
    {
        public double DataValue
        {
            get;
            set;
        }

        public double XValue
        {
            get;
            set;
        }
    }
}
